CREATE TABLE cso_indexer_control (
    RECORD_ID          NUMBER      ,
    DATE_ADDED         TIMESTAMP(6)    NOT NULL,
    DATE_MODIFIED      TIMESTAMP(6)    NOT NULL,
    INDEXER_NODE_ID    NUMBER          NOT NULL,
    SESSION_TIMEOUT    TIMESTAMP(6),
    LEADER             CHAR(4)         NOT NULL,
    RECORD_ID          NUMBER      ,
    DATE_ADDED         TIMESTAMP(6)    NOT NULL,
    DATE_MODIFIED      TIMESTAMP(6)    NOT NULL,
    INDEXER_NODE_ID    NUMBER          NOT NULL,
    SESSION_TIMEOUT    TIMESTAMP(6),
    LEADER             CHAR(4)         NOT NULL,
    CONSTRAINT pk_cso_indexer_control PRIMARY KEY (RECORD_ID, RECORD_ID)
);
